#!/bin/bash

	# Initialise environment:

	cd ~/{drag your project folder here}

	# define path for Table files

	TASMTABS=~/Documents/{your project folder}/tables
	export TASMTABS

	# define preset TASM options
	# NB multiple options must be included in double quotation marks

	# y sets timing option, f defines the fillbyte as FF hex

	TASMOPTS="-y -fFF"
	export TASMOPTS

	# This variable sets the default source file extension
	### warning this is case sensitive

	SRCEXT=.tsm
	export SRCEXT

	# This variable sets the default object file extension

	OBJEXT=.obj
	export OBJEXT

	# this variable is optional and shows the default state
	# alter to use other editors to process assembly errors

#	TASMERRFORMAT="bbedit \"%s\" +%04d ### tasm - %s %s"
#	export TASMERRFORMAT

	# Change this variable to where the assembly files are kept

	SRCPATH=~/Documents/{your project folder}
	export SRCPATH

# message to show script completed:

echo "#TASM env variables initialised"